# Tires Refinement

Try out this capability in Bria's Automobile Playground

Description
Enhances the appearance of the vehicle tires by adding realistic textures that match specific surfaces - snow, mud, grass.  


This endpoint accepts a binary mask of all tires and returns the image with refined tires. You can optionally receive the refined wheels as a separate layer.

Endpoint: POST /product/vehicle/refine_tires

## Header parameters:

  - `api_token` (string, required)
    API token associated with the organization

## Request fields (application/json):

  - `image_url` (string)
    The URL of the image containing the vehicle. If both image_url and file are provided, image_url takes precedence. Accepted formats are jpeg, jpg, png, webp.

  - `file` (string)
    The image file in base64 format. Used only if image_url is not provided. Accepted formats are jpeg, jpg, png, webp.

  - `masks` (object)
    An object containing the URLs of binary masks for the wheels and hubcaps.

  - `masks.tires` (string)
    Binary mask URL for the tires.

  - `layers` (boolean)
    If true, returns only the refined wheels layer. If false, returns the full image with refined wheels.

## Response 200 fields (application/json):

  - `url` (string)
    URL of the full image with refined wheels.

  - `layer_url` (string)
    URL of the separate refined wheels layer. Only returned if layers=true.

  - `seed` (integer)
    Optional seed used for generation.


## Response 400 fields

## Response 401 fields

## Response 404 fields

## Response 413 fields

## Response 415 fields

## Response 422 fields

## Response 429 fields

## Response 460 fields

## Response 500 fields
